version: '3.1'

services:

  crawler:
    image: crawler
    build: ./
    environment:
      - MONGODB_URI=mongodb://mongo:27017/familiares
      - MONGODB_HASHTAG_COLL=${MONGODB_HASHTAG_COLL}
      - MONGODB_POSTS_COLL=${MONGODB_POSTS_COLL}
      - THREAD_SLEEP_TIME=30
      - FETCH_DETAILS=False
      - RESULT_SIZE_1=30
      - PYTHONUNBUFFERED=1
    volumes:
      - ./:/usr/src/app
    networks:
      - shared

  memcached:
    image: memcached
    networks:
      - shared

networks:
    shared:
      external: true
